Subject: Re: [PATCH RFC 0/3] net: phy: marvell10g: Add host speed setting by an ethernet driver

From: Marek Behún <[email-masked]>
Date: Wed, 19 Oct 2022 12:44:42 +0200

On Wed, 19 Oct 2022 17:50:49 +0900
Yoshihiro Shimoda <[email-masked]> wrote:

> R-Car S4-8 environment board requires to change the host interface
> as SGMII and the host speed as 1000 Mbps because the strap pin was
> other mode, but the SoC/board cannot work on that mode. Also, after
> the SoC initialized the SERDES once, we cannot re-initialized it
> because the initialized procedure seems all black magic...

Can you tell us which exact mode is configured by the strapping pins?
Isn't it sufficient to just set the MACTYPE to SGMII, without
configuring speed?

Marek